commit:     5e25b4aa1598f53a0712d6229df67f5564687285
Author:     Alpha Bravo <aos <AT> ungwana <DOT> de>
AuthorDate: Mon Jan 13 00:40:39 2020 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Mon Jan 13 01:07:44 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e25b4aa

sys-boot/vboot-utils: Bump to version 80_p20200108

Closes: https://bugs.gentoo.org/688396
Closes: https://bugs.gentoo.org/687820
Closes: https://bugs.gentoo.org/678594
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 sys-boot/vboot-utils/Manifest                      |   1 +
 .../files/vboot-utils-80-musl-fts.patch            |  17 ++++
 sys-boot/vboot-utils/metadata.xml                  |   5 +-
 .../vboot-utils/vboot-utils-80_p20200108.ebuild    | 104 +++++++++++++++++++++
 4 files changed, 126 insertions(+), 1 deletion(-)

diff --git a/sys-boot/vboot-utils/Manifest b/sys-boot/vboot-utils/Manifest
index 7a88e037d44..287f694bc86 100644
--- a/sys-boot/vboot-utils/Manifest
+++ b/sys-boot/vboot-utils/Manifest
@@ -1,2 +1,3 @@
 DIST vboot-utils-59_p20170413.tar.xz 18431260 BLAKE2B 
73853f92c5855a1fbcad55c696414317f46a06a69901529dd6da19be2abe4ca0337cf20dddc4f84f1d2a99357bb2f01df115b7d16c45f9af62dcd1b833580d46
 SHA512 
f92b9aed7a52ac7bab49b624725d4963564a22a03741619ad4ef1bc0a1fdee5123c68f3dad5bef9fb033f94f2a9ae99478c16386758fe4667a361bc91dda8048
 DIST vboot-utils-72_p20181229.tar.xz 18489004 BLAKE2B 
444eb0bc2c571ad79d26d473da724016d6d041207beaae161f6c1155768ff9d0b1c8b7b070b828083cc1396266cc77175a75e8067ce22613c75b4d77780dda75
 SHA512 
41df034dc5498bcbec0d49a472331ceb2fbc2eb3b4173d5c56e920d65ae485382b3d811e5f2c13cf45a1b05a5d6a24197924fa1c76ada9c3aac14fa3c4c363fe
+DIST vboot-utils-80_p20200108.tar.xz 18448212 BLAKE2B 
f7e375133fb6dc90def1e22c42c7511a3b649c34d067a447f44fb99c1ec37a73d034837c2212e5d6ad368a4f4b011c8cb9eb479e81db4a52b1160cda99382a77
 SHA512 
077d137d8fe89f35b6f7ec6408b2e9fc7a28765b0987646c1964e6e0c039e359711ab79958c45ee555a0fe810997217225d072a7f1011b1c73c4aefb4e57fcc1

diff --git a/sys-boot/vboot-utils/files/vboot-utils-80-musl-fts.patch 
b/sys-boot/vboot-utils/files/vboot-utils-80-musl-fts.patch
new file mode 100644
index 00000000000..bd291f9138e
--- /dev/null
+++ b/sys-boot/vboot-utils/files/vboot-utils-80-musl-fts.patch
@@ -0,0 +1,17 @@
+--- a/Makefile
++++ b/Makefile
+@@ -231,4 +231,7 @@
+ ifndef HAVE_MUSL
+   CFLAGS += -DHAVE_EXECINFO_H
++# Musl doesn't have fts.h so enable linking to the standalone lib.
++else
++  MUSL_LIBS := -lfts
+ endif
+ 
+@@ -1043,5 +1046,5 @@
+ 
+ # FUTIL_LIBS is shared by FUTIL_BIN and TEST_FUTIL_BINS.
+-FUTIL_LIBS = ${CRYPTO_LIBS} ${LIBZIP_LIBS}
++FUTIL_LIBS = ${CRYPTO_LIBS} ${LIBZIP_LIBS} ${MUSL_LIBS}
+ 
+ ${FUTIL_BIN}: LDLIBS += ${FUTIL_LIBS}

diff --git a/sys-boot/vboot-utils/metadata.xml 
b/sys-boot/vboot-utils/metadata.xml
index 7cf6be5c254..c4bb35a0e1b 100644
--- a/sys-boot/vboot-utils/metadata.xml
+++ b/sys-boot/vboot-utils/metadata.xml
@@ -9,4 +9,7 @@
        <maintainer type="person">
                <email>zmed...@gentoo.org</email>
        </maintainer>
-       </pkgmetadata>
+       <use>
+               <flag name="libzip">Use dev-libs/libzip.</flag>
+       </use>
+</pkgmetadata>

diff --git a/sys-boot/vboot-utils/vboot-utils-80_p20200108.ebuild 
b/sys-boot/vboot-utils/vboot-utils-80_p20200108.ebuild
new file mode 100644
index 00000000000..41a81054617
--- /dev/null
+++ b/sys-boot/vboot-utils/vboot-utils-80_p20200108.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+# Can't use gitiles directly until b/19710536 is fixed.
+# This is the name of the latest release branch.
+#RELEASE="release-R80-12739.B"
+# This is the latest commit in the release-R80-12739.B branch.
+#GIT_SHA1="236bd46bfb59f0262dcb1771a108ebb5e90df578"
+
+DESCRIPTION="Chrome OS verified boot tools"
+HOMEPAGE="https://chromium.googlesource.com/chromiumos/platform/vboot_reference/
 https://dev.chromium.org/chromium-os/chromiumos-design-docs/verified-boot";
+# Can't use gitiles directly until b/19710536 is fixed.
+#SRC_URI="https://chromium.googlesource.com/chromiumos/platform/vboot_reference/+archive/refs/heads/${RELEASE}.tar.gz
 -> ${P}.tar.gz"
+#SRC_URI="https://chromium.googlesource.com/chromiumos/platform/vboot_reference/+archive/${GIT_SHA1}.tar.gz
 -> ${P}.tar.gz"
+SRC_URI="mirror://gentoo/${P}.tar.xz
+       https://dev.gentoo.org/~zmedico/dist/${P}.tar.xz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~x86"
+IUSE="libressl +libzip minimal static"
+
+LIB_DEPEND="
+       dev-libs/libyaml:=[static-libs(+)]
+       app-arch/xz-utils:=[static-libs(+)]"
+LIB_DEPEND_MINIMAL="
+       elibc_musl? ( sys-libs/fts-standalone:=[static-libs(+)] )
+       !libressl? ( dev-libs/openssl:0=[static-libs(+)] )
+       libressl? ( dev-libs/libressl:0=[static-libs(+)] )
+       libzip? ( dev-libs/libzip:=[static-libs(+)] )
+       sys-apps/util-linux:=[static-libs(+)]"
+RDEPEND="!static? (
+               ${LIB_DEPEND_MINIMAL//\[static-libs(+)]}
+               !minimal? ( ${LIB_DEPEND//\[static-libs(+)]} )
+       )"
+DEPEND="${RDEPEND}
+       static? (
+               ${LIB_DEPEND_MINIMAL}
+               !minimal? ( ${LIB_DEPEND} )
+       )
+       app-crypt/trousers"
+BDEPEND="virtual/pkgconfig"
+
+S=${WORKDIR}
+
+PATCHES=(
+       # Bug #687820
+       "${FILESDIR}"/${PN}-80-musl-fts.patch
+)
+
+src_prepare() {
+       default
+
+       # Bug #687008
+       if ! use libzip; then
+               sed -e 's|^\(LIBZIP_VERSION :=\).*|\1|' -i Makefile || die
+       fi
+
+       sed -i \
+               -e 
's:${DESTDIR}/\(bin\|include\|${LIBDIR}\|share\):${DESTDIR}/usr/\1:g' \
+               -e 's:${DESTDIR}/default:${DESTDIR}/etc/default:g' \
+               -e 's:${TEST_INSTALL_DIR}/bin:${TEST_INSTALL_DIR}/usr/bin:' \
+               Makefile || die
+       sed -e 
's:^BIN_DIR=${BUILD_DIR}/install_for_test/bin:BIN_DIR=${BUILD_DIR}/install_for_test/usr/bin:'
 \
+               -i tests/common.sh || die
+}
+
+_emake() {
+       local arch=$(tc-arch)
+       emake \
+               V=1 \
+               QEMU_ARCH= \
+               ARCH=${arch} \
+               HOST_ARCH=${arch} \
+               LIBDIR="$(get_libdir)" \
+               DEBUG_FLAGS= \
+               WERROR= \
+               MINIMAL=$(usev minimal) \
+               STATIC=$(usev static) \
+               $(usex elibc_musl HAVE_MUSL=1 "") \
+               "$@"
+}
+
+src_compile() {
+       tc-export CC AR CXX PKG_CONFIG
+       _emake FUZZ_TEST_BINS= TEST_BINS= all
+}
+
+src_test() {
+       _emake runtests
+}
+
+src_install() {
+       _emake DESTDIR="${ED}" install install_dev
+
+       insinto /usr/share/vboot/devkeys
+       doins tests/devkeys/*
+
+       dodoc README
+}

Reply via email to